主题
Bing 数据库
GET /v3/dataforseo_labs/locations_and_languages
数据库简介
Bing 数据库数百万条搜索词,并提供以下数据:
- 历史搜索量
- 当前平均月搜索量
- 每次点击费用(CPC)
- 竞争度
数据库以 JSON 格式提供。可用的国家/地区与语言组合,以本平台支持范围为准。
本数据库页面用于说明数据文件结构,不定义单独的下载 API。获取国家/地区及语言列表时,可调用:
http
GET https://api.seermartech.cn/v3/dataforseo_labs/locations_and_languages计费说明
数据库费用取决于数据库的大小及国家/地区参数。
扣费以响应头 X-SeerMarTech-Charge-CNY 为准。
字段说明
| 字段名 | 类型 | 说明 |
|---|---|---|
keyword | string | ,使用 UTF-8 编码。 |
location | integer | 国家/地区代码,对应国家或地区的唯一标识符。可通过 GET /v3/dataforseo_labs/locations_and_languages 获取支持的 location_code。示例:2840 表示美国。 |
language | string | 语言代码,对应指定国家/地区可用语言的唯一标识符。可通过 GET /v3/dataforseo_labs/locations_and_languages 获取支持的 language_code。示例:en 表示英语。 |
spell | string / null | 搜索引擎自动纠正后的。当搜索引擎针对原始返回纠正结果时,该字段记录搜索引擎采用的纠正。 |
spell_type | string / null | 自动纠正类型。可能的取值:did_you_mean、showing_results_for、no_results_found_for。 |
keyword_info | object / array | 当前的数据。原始数据库结构标注为数组,示例中以对象形式返回。 |
keyword_info.search_volume | integer | 平均月搜索量,表示 Bing 搜索引擎中该的大致月均搜索次数。 |
keyword_info.competition | float / null | 竞争度,取值范围为 0 到 1(边界值),数值越高通常表示竞争越激烈。该字段对德国、法国、澳大利亚、加拿大、英国和美国提供数据。 |
keyword_info.cpc | float / null | 每次点击费用,表示该历史平均每次点击费用,原始数据按口径记录。该字段对德国、法国、澳大利亚、加拿大、英国和美国提供数据。该数值不代表本平台的接口扣费。 |
keyword_info.time_update | string | 数据的最后更新时间,使用 ISO 8601 格式:YYYY-MM-DDThh:mm:ss.sssssssZ。示例:2020-09-12T00:07:43.0733218Z。 |
keyword_info.history | object / array | 月度搜索量历史数据,表示指定国家/地区中该过去约 4 年的月度搜索次数。键名格式为 YYYYMM。 |
extra | object / array / null | 的附加信息。当前数据库中该字段为 null。 |
数据结构示例
json
{
"keyword": "02132 weather",
"location": 2840,
"language": "en",
"spell": null,
"spell_type": null,
"keyword_info": {
"search_volume": 90,
"competition": 0.1,
"cpc": 0,
"time_update": "2022-04-17T23:27:20.8864147Z",
"history": {
"202104": 100,
"202105": 90,
"202106": 80,
"202107": 70,
"202108": 70,
"202109": 80,
"202110": 70,
"202111": 90,
"202112": 100,
"202201": 140,
"202202": 120,
"202203": 80
}
},
"extra": null
}数据字段使用说明
国家/地区与语言代码
在解析数据库文件前,建议调用以下接口获取国家/地区及语言的对应:
bash
curl --request GET \
--url https://api.seermartech.cn/v3/dataforseo_labs/locations_and_languages \
--header 'Authorization: Bearer smt_live_YOUR_KEY'返回结果中的:
location_code用于匹数据库中的locationlanguage_code用于匹数据库中的language
搜索量历史
history 使用月份作为键名,例如:
json
{
"202201": 140,
"202202": 120,
"202203": 80
}:
202201表示 2022 年 1 月202202表示 2022 年 2 月202203表示 2022 年 3 月
可据此计算搜索趋势、同比变化或季节性波动。
自动纠正字段
当搜索引擎自动修正用户的时,信息会记录在 spell 和 spell_type 字段中:
did_you_mean:是否想搜索showing_results_for:正在展示另一个的结果no_results_found_for:原无结果,提示
数据可用性
competition 和 cpc 并非所有国家/地区均提供。对于不支持的国家/地区,这些字段可能为空值或缺失,业务系统应将视为 0。
实用场景
- 筛选高搜索量:根据
search_volume识别 Bing 上较高用户需求的词,为规划和落地页建设提供依据。 - 分析季节性趋势:利用
history对比不同月份的搜索量,发现季节性需求并安排广告或发布时间。 - 评估市场竞争程度:结合
competition判断目标国家/地区的竞争强度,制定 SEO 策略。 - 估算搜索广告成本:使用
cpc估算不同的历史点击成本,优化广告预算分和组合。 - 识别搜索引擎纠错结果:解析
spell与spell_type,发现用户原始与搜索引擎匹词之间的差异,改进库和词表。